body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container {
  max-width: 1024px;
  margin: 0 auto;
  padding: 0.5em 1.5em;
}
.d-none {
  display: none;
}
/* ######## Header Navigation ######## */

.toggle-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.brand {
  width: 12em;
}

.brand img {
  width: 100%;
  height: 100%;
}
nav {
  display: none;
}

nav ul {
  padding: 0;
  text-align: center;
  font-size: 1.5rem;
  margin: 0;
}
nav ul li {
  list-style: none;
  margin: 1em 0;
}
nav li a {
  font-family: "Lora";
  text-decoration: none;
  font-weight: bold;
  color: #a4a4a6;
  font-size: 1rem;
}
.active-nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 90%;
  margin: 0 auto;
  background-color: rgb(255, 255, 255);
  border-radius: 8px;
}
.request-btn {
  display: none;
}

.toggle {
  font-size: 2rem;
  cursor: pointer;
  padding-bottom: 0.2em;
}

/* ######## Header Main ######## */

.main-header {
  display: flex;
  flex-direction: column;
  background-color: #fafafa;
  padding-bottom: 3em;
}
.header-background {
  background-image: url("../images/bg-intro-mobile.svg");
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
}

.header-background img {
  width: 100%;
  margin-top: -7em;
}
.header-content {
  font-family: "Roboto";
  text-align: center;
}
.header-content h1 {
  font-weight: normal;
  font-size: 2.5rem;
}
.header-content p {
  color: #a4a4a6;
  line-height: 1.5rem;
}
.request-btn-2 {
  margin: 0 auto;
  display: block;
  padding: 0.8em 1.8em;
  color: white;
  font-family: "Lora";
  font-weight: bold;
  border-style: none;
  border-radius: 30px;
  background-image: linear-gradient(
    to right,
    #30cf69,
    #00cd93,
    #00c8b5,
    #00c1ca,
    #2bb8d2
  );
  transition: all 0.2s ease-in-out;
}
.request-btn-2:hover,
.request-btn:hover {
  color: rgba(255, 255, 255, 1);
  box-shadow: 0 2px 10px rgba(145, 92, 182, 0.4);
}
/* ######## Feature Section ######## */
.feature {
  background-color: #f4f5f7;
  padding: 1.5em 0;
}
.feature-text h2 {
  text-align: center;
  font-family: "Roboto";
  font-size: 2rem;
  font-weight: 400;
}
.feature-text p {
  text-align: center;
  font-family: "Lora";
  font-size: 1rem;
  color: #a4a4a6;
}
.feature-card {
  margin: 2em 0;
}
.feature-icon {
  display: flex;
  justify-content: center;
}
.feature-card h3 {
  text-align: center;
  font-family: "Roboto";
  font-size: 1.5rem;
  font-weight: 300;
}
.feature-card p {
  text-align: center;
  font-family: "Lora";
  font-size: 1rem;
  font-weight: 300;
  color: #a4a4a6;
}

/* ######## Article Section ######## */

.article {
  background-color: #fafafa;
}
.article h2 {
  text-align: center;
  font-family: "Roboto";
  font-size: 2rem;
  font-weight: 400;
}

.article-card {
  background-color: white;
  border-radius: 5px;
  overflow: hidden;
  margin: 1.5em auto;
  max-width: 25em;
}
.article-img img {
  width: 100%;
  max-height: 150px;
}
.article-body {
  padding: 1em 2em;
}
.article-body h3 {
  font-family: "Roboto";
  font-size: 1.2rem;
  font-weight: 300;
}
.article-body h3:hover {
  color: #00cd93;
}
.article-body p {
  font-family: "Lora";
  font-size: 0.7rem;
  color: #a4a4a6;
}
footer {
  background-color: #2d314e;
}
footer .row {
  padding-top: 1.5em;
  text-align: center;
}
footer ul {
  padding: 0;
}
footer ul li {
  list-style: none;
  color: white;
  margin: 1em 0.5em;
  font-family: "Lora";
}
footer ul a {
  text-decoration: none;
  color: white;
}
.nav-link ul {
  margin: 0 2em;
}
.social-link ul {
  display: flex;
  justify-content: center;
}
.social-link svg > g > path {
  fill: white;
}
.nav-link ul a:hover {
  color: #00cd93;
}
.social-link ul svg:hover path {
  fill: #00cd93;
}

.footer-btn {
  margin: 2rem;
}
.footer-btn p {
  font-size: 0.8rem;
  font-family: "Lora";
  color: white;
}

@media (min-width: 700px) {
  .toggle {
    display: none;
  }
  .navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  nav {
    display: block;
    margin: 0;
  }
  nav ul {
    margin: 0;
  }
  nav ul li {
    display: inline-block;
    list-style: none;
    padding: 0 0.5em;
  }
  nav li a {
    font-family: "Lora";
    text-decoration: none;
    color: #a4a4a6;
    font-size: 1rem;
  }
}
@media (min-width: 900px) {
  .navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  nav {
    display: block;
  }
  nav ul li {
    display: inline-block;
    list-style: none;
    margin: 0;
    padding: 1em 0.5em;
    border-bottom: 2px transparent solid;
  }
  nav ul li:hover {
    border-bottom: #2bb8d2 2px solid;
  }
  nav li a {
    font-family: "Lora";
    text-decoration: none;
    color: #a4a4a6;
    font-size: 1rem;
  }

  .request-btn {
    display: block;
    padding: 0.8em 1.8em;
    color: white;
    font-family: "Lora";
    font-weight: bold;
    border-style: none;
    border-radius: 30px;
    background-image: linear-gradient(
      to right,
      #30cf69,
      #00cd93,
      #00c8b5,
      #00c1ca,
      #2bb8d2
    );
    transition: all 0.2s ease-in-out;
  }
  #toggleCloseBtn,
  #toggleBtn {
    display: none;
  }

  .main-header {
    flex-direction: row;
    padding: 0 10em;
    margin: 0 auto;
    padding: 0.5em 0;
    max-height: 40em;
  }

  .header-background {
    width: 70%;
    order: 2;
    background-image: url("../images/bg-intro-desktop.svg");
    background-repeat: no-repeat;
    background-size: 90em;
    background-position: 0 -15em;
    overflow: hidden;
  }
  .header-background img {
    width: 90%;
    padding-left: 9em;
  }
  .header-content {
    width: 30%;
    order: 1;
    font-family: "Roboto";
    text-align: start;
    padding: 7em;
  }
  .request-btn-2 {
    margin: 3em 0 0 0;
  }

  .feature .row {
    display: flex;
  }
  .feature-text {
    max-width: 35em;
  }
  .feature-text h2,
  .feature-text p {
    text-align: left;
  }
  .feature-card {
    padding-right: 2em;
  }
  .feature-icon {
    display: block;
  }
  .feature-card h3,
  .feature-card p {
    text-align: left;
  }

  .article-cards {
    display: flex;
  }
  .article-card {
    margin-right: 1.5em;
    justify-content: space-between;
  }
  .article-body {
    padding: 1em 1em;
  }
  footer .row,
  .nav-link {
    text-align: left;
    display: flex;
    justify-content: space-between;
  }
  .footer-nav {
    display: flex;
    justify-content: space-around;
    width: 70%;
    align-items: baseline;
  }
  .nav-link {
    align-items: baseline;
  }
  .footer-btn {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: center;
  }
  .footer-btn .request-btn-2 {
    margin: 0;
  }
}
